Next Previous Contents

## 3.32 chline

> Function

>   Output a horizontal line in text mode.

> Header

>   `conio.h`

> Declaration

>   `void __fastcall__ chline (unsigned char length);`

> Description

>   The function outputs a horizontal line with the given length starting at the current cursor position.

> Limits

>   - The character used to draw the horizontal line is system dependent. If available, a line drawing character is used. Drawing a line that is partially off screen leads to undefined behaviour.
>   - The function is only available as fastcall function, so it may only be used in presence of a prototype.
> Availability

>   cc65

> See also

>   chlinexy, cvline, cvlinexy

> Example

>   None.

Next Previous Contents